Issue 119149 - Grid Control: selection change event is not triggered when multiple selection is reduced to the one of the selection
Grid Control: selection change event is not triggered when multiple selection...
Status: VERIFIED FIXED
Product: App Dev
Classification: Unclassified
Component: api
OOo 3.3 or older
PC All
: P3 normal
: 4.0.0
Assigned To: Ariel Constenla-Haile
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-29 15:39 UTC by hanya
Modified: 2013-07-21 10:20 UTC (History)
4 users (show)

See Also:
Issue Type: PATCH
Latest Confirmation on: ---
Developer Difficulty: ---


Attachments
Including macro to reproduce the problem (12.24 KB, application/vnd.oasis.opendocument.text)
2012-03-29 15:39 UTC, hanya
no flags Details
Patch to fix this problem (993 bytes, patch)
2012-05-21 08:12 UTC, hanya
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this issue.
Description hanya 2012-03-29 15:39:31 UTC
Created attachment 77385 [details]
Including macro to reproduce the problem

When the grid control is prepared to allow multiple selection, the selection 
change event is not triggered on specific situation.

Procedure to reproduce: 
- Open attached document.
- Push button placed on the document. -> dialog is opened
- Click 1st row to select -> message box is shown by the selection change event.
- Press Ctrl and click 2nd row to select -> message box is shown.
- Click 2nd row to reduce selection to the row only. -> message box is not shown.

By the last procedure, the selection is changed, so the selection change event should be triggered.
Comment 1 hanya 2012-05-21 08:12:29 UTC
Created attachment 77572 [details]
Patch to fix this problem

Checks difference of number of selected rows.
Comment 2 Ariel Constenla-Haile 2012-05-30 02:35:39 UTC
Committed as revision 1344078

@hanya: Many thanks for your contribution.
Comment 3 Li Lin Yi 2012-06-20 03:00:17 UTC
Changed to verified. Verified on trunk r1351249.
Comment 4 bmarcelly 2012-10-13 09:22:25 UTC
This bug still exists on AOO 3.4.1. 
Is it normal ?
Comment 5 Ariel Constenla-Haile 2012-10-13 09:43:58 UTC
(In reply to comment #4)
> This bug still exists on AOO 3.4.1. 
> Is it normal ?

It's fixed on trunk. You may want to try a Dev. Snapshot, http://people.apache.org/~arielch/packages/r1391723/
Comment 6 Ariel Constenla-Haile 2012-10-13 09:45:06 UTC
Taking ownership
Setting target milestone (I'll have to search more bugs, as I wasn't setting the target milestone when we where on the road to 3.4.1)